
rawDir=getDirectory("Choose Raw Data Folder");
resultDir=getDirectory("Choose result Data Folder");

list=getFileList(rawDir);

//code5 section
print("Filename	total_cell_count	total_intensity");
//
for(i=0;i<list.length;i++)
 {
  // open("D:\\presentation\\ImageJ mini course\\Oct 14th\\Lab\\Q1\\rawdata\\1.tif");
  open(rawDir+list[i]);
  run("Split Channels");

  //code4 section
  rename("blue0");
  run("Duplicate...", "title=blue1");
  selectImage("blue1");
  //
   
  run("Mean...", "radius=2");
  setAutoThreshold("Default dark");
  //run("Threshold...");
  setThreshold(25, 255);
  run("Convert to Mask");
  run("Fill Holes");
  run("Watershed");
  run("Analyze Particles...", "size=600-Infinity pixel circularity=0.00-1.00 show=Nothing add");
  //roiManager("Save", "D:\\presentation\\ImageJ mini course\\Oct 14th\\Lab\\Q1\\reuslt\\1_roi.zip");
  roiManager("Save", resultDir+list[i]+"_roi.zip");

  //code5 section
  cell_count=roiManager("count");
  //
  //code4 section
  selectImage("blue1");
  close();  //  close masked blue1.
  selectImage("blue0");  //put blue0 as active window for measurement.
  //
  
   //code3 section
   run("Clear Results");
   run("Set Measurements...", "area mean display redirect=None decimal=8");
   roiManager("Measure");
   saveAs("Results", resultDir+list[i]+"Results.xls");

   //code6 section
   total_intensity=0;  // initialize
   for(j=0;j<cell_count;j++) // i is already been used, we use j now
    {
     tmpx=getResult("Area",j);  //store jth area in tmpx
     tmpy=getResult("Mean",j);  //store jth mean in tmpy
     total_intensity=total_intensity+tmpx*tmpy;  // add jth intensity to total intensity 	 
    }
    //
   
   run("Clear Results");
  // code3 section ends
 

  roiManager("Delete");
  close();
  close();
  close();

  //code5 section
  print(list[i]+"	"+cell_count+"	"+total_intensity);
  //
  
 }
//code5 section
selectWindow("Log");
saveAs("Text",resultDir+"summary.xls");
//